#compdef cthon.zsh

function _cthon.zsh() {
	_arguments \
		{-c,--client}'[the client to test]: : _alternative
			"hosts\:hosts\: _ssh_hosts"
			"domains\:domains\:($(virsh list --all --name))"' \
		--dmesg'[print client dmesg log after running tests]' \
		--nconnect'[number of connections]: :($(seq 1 32))' \
		--krb5'[run tests with sec=krb5]' \
		--srvdmesg'[print server dmesg log after running tests]' \
		{-p,--mountpoint}'[the directory to mount the server]: : _files -/' \
		{-r,--rdma}'[test using rdma]: :(rxe siw)' \
		{-s,--server}'[the server to test against]: : _alternative
			"hosts\:hosts\: _ssh_hosts"
			"domains\:domains\:($(virsh list --all --name))"' \
		{-x,--export}'[the exported directory on the server]: : _files -/'
}
